Fibo Edit [Colorize]
ပေါင်းစည်းရန်
bria/fibo-edit/colorize
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/colorize?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/colorize?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/colorize", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/my/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/colorize",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color"
}
}
Doitong API မှတစ်ဆင့် Fibo Edit [Colorize] မော်ဒယ် (bria/fibo-edit/colorize) ကို ခေါ်ယူပါ။ အေးဂျင့်များအတွက် စာရွက်စာတမ်းများ: https://doitong.com/my/developers/models/bria/fibo-edit/colorize.md
POST https://api.doitong.com/v1/run/bria/fibo-edit/colorize?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color"
}
Response status သည် "queued" သို့မဟုတ် "running" ဖြစ်ပါက "succeeded" ဖြစ်သည်အထိ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ဖြင့် poll လုပ်ပါ။ ဖိုင်များသည် outputs[].url တွင် ရှိသည်။ လုပ်ဆောင်မီ အတိအကျစျေးနှုန်းရရန် တူညီသော body ဖြင့် POST https://api.doitong.com/v1/quote/bria/fibo-edit/colorize ကို အသုံးပြုပါ။
ဤတောင်းဆိုချက်: ၀.၀၄ $ ၄၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်
သင့် API ကီးအသစ်။ ၎င်းကို ယခုတစ်ကြိမ်သာ ပြသထားပြီး ကုဒ်ထဲနှင့် အောက်ပါ API ကီး အကွက်ထဲတွင် ထည့်သွင်းပြီးဖြစ်သည်။ လျှို့ဝှက်ထားပါ—ဘရောက်ဇာတွင် လုပ်ဆောင်သည့် ကုဒ်ထဲသို့ မည်သည့်အခါမျှ မထည့်ပါနှင့်။
သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်
အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။
တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်
ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။
/run/bria/fibo-edit/colorize?wait=20
ကုန်ကျစရိတ် → ၀.၀၄ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/colorize?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/colorize?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/colorize", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/colorize",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color"
},
"wait_seconds": 20
}
}
}
ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်
သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်
Fibo Edit [Colorize] အကြောင်း
`image_url` မှ မူရင်းရုပ်ပုံသို့ အရောင်ပြင်ဆင်မှုကို အသုံးပြုသည်။ လိုအပ်သော `color` ထည့်သွင်းတန်ဖိုးသည် contemporary color၊ vivid color၊ black and white colors သို့မဟုတ် sepia vintage တစ်ခု ဖြစ်ရမည်။ အရောင်မဲ့ဓာတ်ပုံများကို အရောင်ခြယ်ရန် သို့မဟုတ် ရုပ်ပုံတစ်ပုံကို တစ်သမတ်တည်းသော ပုံစံပေးရန် အသုံးဝင်သည်။
ပါရာမီတာများ
စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ
image_urlလိုအပ်သည်
image
colorလိုအပ်သည်
ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ
ထွက်ရလဒ်
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/colorize",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"color": "contemporary color"
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ထွက်ရလဒ်၏ Fields များ
- image
- object {url, content_type, file_name, file_size, width, height}မော်ဒယ်မှ ဖန်တီးထားသော ပုံ။
- images
- array of object {url, content_type, file_name, file_size, width, height}ဖန်တီးမှုမှ ထွက်ရှိသည့် ပုံများ။
- vgl
- objectပုံဖန်တီးရန် အသုံးပြုသော VGL စာတမ်း။
- structured_instruction
- objectတူညီသော စာတမ်းအတွက် အသုံးမပြုတော့သည့် alias။ `vgl` ကို အသုံးပြုပါ။
အခြား Fibo Edit မူကွဲများ
နောက်ထပ် မော်ဒယ်များ: ပုံတည်းဖြတ်ခြင်း
AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/bria/fibo-edit/colorize.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt






